#bootstrap-overrides input[type="text"]:focus,
input[type="password"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="search"]:focus,
textarea:focus,
button:focus,
select:focus,
a:focus,
.form-check-input:focus,
.page-link:focus,
.accordion-button:focus{
    border-color: #1BACE3;
    outline: 0 none !important;
    box-shadow: none !important;
}
.btn-outline-primary {
    color: #1BACE3;
    background-color: transparent;
    background-image: none;
    border-color: #1BACE3;
}
.btn-outline-primary:hover {
    color: white;
    background-color: #1BACE3;
    border-color: #1BACE3;
}
.dt-button {
    color: #1BACE3 !important;
    background-color: transparent !important;
    background-image: none !important;
    border-color: #1BACE3 !important;
}
.dt-button:hover {
    color: white !important;
    background-color: #1BACE3 !important;
    border-color: #1BACE3 !important;
}
.btn-outline-primary.disabled,
.btn-outline-primary:disabled {
    color: #1BACE3;
    background-color: transparent
}
.form-control:focus + label,
.form-select:focus + label {
    color: #1BACE3;
} 
.btn_v2{
    /* width: 10% !important; */
    padding: 0.75% 4% 0.75% 4%;
    font-weight: 500;
}
.btn_v3{
    background-color: #fff;
    border: 1px solid #ced4da;
    color: #6c757d;
    border-radius: .25rem 0 0 .25rem !important;
    padding: 0 0 0 20px;
}
.btn_v3:hover{
    background-color: #fff;
    border: 1px solid #1BACE3;
    color: #6c757d;
    border-radius: .25rem 0 0 .25rem;
    padding: 0 0 0 20px;
}
.btn_v4{
    /* width: 10% !important; */
    padding: 1.5% 13% 2% 13%;
}
.btn_v5{
    /* width: 10% !important; */
    padding: 1.5% 13% 2% 13%;
    background-color: #fff;
    border: 1px solid #ced4da;
    color: #6c757d;
}
.btn-outline-primary.dropdown-toggle.show{
    background-color: #1BACE3;
    border: 1px solid #1BACE3;
    color: #fff;
    border-radius: .25rem 0 0 .25rem;
    padding: 0 0 0 20px;
}
.dropdown-item:active{
    background-color: #1BACE3;
    color: #fff;
}
.btn-search {
    color: #fff;
    background-color: #1BACE3;
    background-image: none;
    border-color: #1BACE3;
}
.btn-search:hover {
    color: white;
    background-color: #1BACE3;
    border-color: #1BACE3;
}
@media (max-device-width: 1023px) {
    .search-bar{
        margin: 1.5rem 0 1.5rem 0;
    }
}
@media (min-device-width: 1024px) and (max-device-width: 1057px) {
    .search-bar {
        flex: 0 0 auto;
        width: 60.66666667%;
    }

}
@media only screen and (max-width: 300px) {
    .f_chk-remember{
        padding-left: 26%;
    }
    #btn-login{
        width: 100%;
        margin-top: 15px !important;
    }
    .fld_log{
        margin-left: 0 !important;
        margin-right: 0 !important;
        width: 100%;
    }
    #ctrl-wrapper{
        display: block !important;
    }
}
.dropdown-toggle::after {
    margin-left: .555em;
    margin-right: .555em;
    border: unset;
    font-family: "bootstrap-icons";
    font-weight: bold;
    font-size: .8em;
    content: "\F282" !important;
    vertical-align: baseline;
}
.divider {
    height: 1px;
    overflow: hidden;
    background-color: #1BACE3;
    border-top: 1.5px solid #1BACE3;
    margin: 4px 0 35px 12.25px;
}
.apsta_mail{
    text-decoration: none;
    color: #1BACE3;
}
#add-exp-form fieldset:not(:first-of-type) {
    display: none;
}
#update-exp-form fieldset:not(:first-of-type) {
    display: none;
}
.btn-space{
    margin-top: 15px;
}
h4{
    color: #1BACE3;
}
.h4p{
    color: #6c757d;
    font-weight: bold;
}
.form-check-input:checked {
    background-color: #1BACE3;
    border-color: #1BACE3;
}

/**********************************************************************/
.select2-container--bootstrap-5.select2-container--focus .select2-selection,
.select2-container--bootstrap-5.select2-container--open .select2-selection,
.select2-container--bootstrap-5 .select2-search,
.select2-container--bootstrap-5 .select2-dropdown .select2-search .select2-search__field:focus{
    border-color: #1BACE3;
    box-shadow: none;
}
.select2-container .select2-selection--single{
    height: 60px;
}
.select2-container .select2-selection--multiple:focus{
    height: 80px;
}
.select2-container .select2-selection--multiple {
    padding-top: 30px;
}
.select2-container--bootstrap-5 .select2-selection--single .select2-selection__rendered{
    padding: 18px 0 0 0;
}
.select2-container--bootstrap-5 .select2-dropdown{
    border-color: #1BACE3;
}
.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option.select2-results__option--selected,
.select2-container--bootstrap-5 .select2-dropdown .select2-results__options .select2-results__option[aria-selected=true]{
    background-color: #1BACE3;
}
/**************************************************************/
.floatlab>.form-select {
    padding-top: 1.625rem;
    padding-bottom: .625rem;
}
.floatlab>.form-control, .floatlab>.form-select {
    height: calc(3.5rem + 2px);
    line-height: 1.25;
}
.floatlab>.form-control:focus~label, .floatlab>.form-control:not(:placeholder-shown)~label, .floatlab>.form-select~label {
    opacity: .65;
    transform: scale(.85) translateY(-.5rem) translateX(.15rem);
}
.floatlab{
    position: relative;
}
.floatlab>label {
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    padding: .90rem .75rem;
    pointer-events: none;
    border: 1px solid transparent;
    transform-origin: 0 0;
    transition: opacity .1s ease-in-out,transform .1s ease-in-out;
}
/***************************************************/
.datepicker-controls .button {
    color:#1BACE3;
}
.datepicker-title{
    background: #1BACE3;
    color: white;
}
.datepicker-picker{
    border: 1px solid #1BACE3;
}
.datepicker-dropdown .datepicker-picker {
    box-shadow: none;
}
.datepicker-cell.selected, .datepicker-cell.selected:hover {
    background-color: #1BACE3;
    color: #fff;
    font-weight: 600;
}
.datepicker-cell.focused:not(.selected) {
    background-color: rgb(27 172 227 / 13%);
}
/***************************************************/
.form-floating>label,
.days-of-week{
    color: #6c757d;
}
/**************************************************/
footer{
    background: #1BACE3;
}
/*************************************************/
/***login form***/
#login_form{
    margin: 0;
    position: absolute;
    top: 50.25%;
    left: 50%;
    margin-right: -50%;
    transform: translate(-50%, -50%);
}
.fld_log{
    margin: auto;
}
.bg-log{
    /*background: url(../img/backgound/bg-login.png) no-repeat center/cover;*/
    /*background: rgb(27,171,227);
    background: radial-gradient(circle, rgba(27,171,227,1) 50%, rgba(18,114,151,1) 100%);*/
    background: rgb(103,199,236);
    background: radial-gradient(circle, rgba(103,199,236,1) 10%, rgba(27,171,227,1) 100%);
}
.ctrl_fe{
    border-radius: .25rem .25rem 0 0;
}
.ctrl_fp{
    border-radius: 0 0 .25rem .25rem;
}
.txt-normal{
    color: #6c757d;
    font-weight: 400;
}
.card-img-login{
    height: 230px;
    background: url(../img/logo/header-logo.svg) no-repeat center/cover;
}
#login_form .form-floating:focus-within{
    z-index: 2;
}
.card-login{
    border: 0;
    border-radius: 10px;
    /* box-shadow: 0 2px 5px 0 rgb(0 0 0 / 16%), 0 2px 10px 0 rgb(0 0 0 / 12%); */
    /* box-shadow: 0 2px 2px 0 rgba(0,0,0,.14),0 3px 1px -2px rgba(0,0,0,.2),0 1px 5px 0 rgba(0,0,0,.12); */
}
/*******************************************/
.bg-primary{
    background: #1BACE3 !important;
}
/**************Experts Cards***********************/
.cstm-img-container{
    min-height: 130px;
    overflow: hidden;
}
.cstm-img{
    object-fit: cover;
    object-position: center;
    min-height: 100%;
}
.cstm-card-text{
    margin-bottom: 0.4rem !important;
}
.cstm-card-body{
    padding: 0.75rem 1rem 0.8rem;
}
.cstm-card-footer{
    padding: .5rem 1rem;
    border-top: 2px dashed rgba(0,0,0,.125);
}
.cstm-card-header{
    padding: .5rem 1rem;
    margin-bottom: 0;
    border-bottom: 2px dashed rgba(0,0,0,.125);
    font-weight: 600;
}
.cstm-link{
    text-decoration: none;
    color: #212529 !important;
}
.cstm-link-2{
    text-decoration: none;
    color: #1babe3 !important;
}
.cstm-link:hover{
    text-decoration: none;
    color: #1BACE3;
    background: white;
}
.cstm-link:focus{
    text-decoration: none;
    border-color: #1BACE3;
    color: #1BACE3;
    background: white;
    outline: 0 none !important;
    box-shadow: none !important;
}
.cstm-txt-001{
    font-size: 1.1em;
}
/*******************pagination****************/
.page-item.cstm-active .page-link, .page-item.active .page-link{
    background: #1BACE3 !important;
    border-color: #1BACE3 !important;
    color: white !important;
}
.page-link, .page-item:first-child .page-link, .page-item:last-child .page-link{
    background: white;
    border-color: #dee2e6;
    color: #1BACE3;
}
.page-link:hover{
    background: white;
    border-color: #dee2e6;
    color: #1BACE3;
}
/******************Dashboard*************************/
.nav-pills .nav-link.active, .nav-pills .show>.nav-link {
    color: #fff;
    background-color: #1BACE3;
}
.sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    z-index: 100; /* Behind the navbar */
    padding: 94px 1% 0;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.14),0 3px 1px -2px rgba(0,0,0,0.12),0 1px 5px 0 rgba(0,0,0,0.2);
} 
/* @media (max-width: 767.98px) {
    .sidebar {
      top: 5rem;
    }
} */
.sidebar-sticky {
    position: relative;
    top: 0;
    height: calc(100vh - 48px);
    padding-top: .5rem;
    overflow-x: hidden;
    overflow-y: auto; /* Scrollable contents if viewport is shorter than content. */
} 
.sidebar .nav-link {
    color: #333;
}
.sidebar .nav-link.active {
    color: white;
}
/***************************/
.cstm-card-hd{
    background: #1BACE3;
    font-weight: 600;
    color: white;
}
.cstm-card-hd2{
    background: white;
    font-weight: 600;
    color: #1BACE3;
    border-bottom: 1px solid #1BACE3;
}
.cstm-card-002{
    border: 1px solid #1BACE3;
}
.table>thead{
    color: #1BACE3;
}
.table>:not(:first-child) {
    border-top: 1.5px solid #1BACE3;
}
.btn-table-action {
    color: #212529;
    background-color: transparent;
    border-color: #212529;
}
.btn-table-action:hover {
    color: white;
    background-color: #1BACE3;
    border-color: #1BACE3;
}
/*#p-users,
#p-roles,
#p-mis,
#p-orgs,
#p-countries,
#p-exps,
#p-ranks{
    display: none;
}*/
.fflag{
    border-radius: .2rem;
}
.btn-group>.btn:not(:first-child){
    border-left: none;
}
.dash-card{
    background: #1BACE3;
    border: none;
    color: white;
}
.dash-card:hover{
    background: #1EA559;
    border: none;
    color: white;
}
.cstm-txt-002{
    font-size: 3em;
    font-weight: bold;
    line-height: 0.9em;
}
.cstm-icon::before{
    font-size: 65px;
}
.cstm-txt-003{
    font-size: 1.1rem;
    font-weight: normal;
}
.cstm-txt-004{
    color: #6c757d;
    font-size: 1.2rem;
    font-weight: normal;
    line-height: 1.3em;
}
.cstm-hr-001:not([size]){
    height: 0.8px;
}
.cstm-hr-002:not([size]){
    height: 0.8px;
    background-color: #1BACE3;
}
.divider-002{
    height: 1px;
    overflow: hidden;
    background-color: #1BACE3;
    border-top: 1px solid #1BACE3;
    margin: 4px 0 20px 12.25px;
}
.invalid-feedback{
    display: block;
}
table.dataTable td{
    vertical-align: middle !important;
}
table.dataTable td:last-child{
    text-align: right !important;
}
.table-overflow{
    overflow-x: auto;
}
@media (max-device-width: 540px) {
    .dataTables_length{
        margin-top: 2%;
        margin-bottom: 3%;
    }
    .dataTables_filter{
        margin-top: 2%;
        margin-bottom: 2%;
    }
    .dataTables_info{
        margin-top: 0;
        margin-bottom: 3%;
    }
    .dataTables_paginate{
        margin-top: 3%;
        margin-bottom: 5%;
    }
}
table.dataTable>tbody>tr.selected>* {
    box-shadow: inset 0 0 0 9999px rgb(0 0 0 / 2%);
    color: #212529;
}
/***bootstrap-select datatable ***/
.bootstrap-select:not([class*=col-]):not([class*=form-control]):not(.input-group-btn){
    width: unset;
}
.dropdown-item.active{
    background: #1BACE3;
}
.bootstrap-select>.dropdown-toggle{
    background-color: #fff;
    border: 1px solid #ced4da;
    color: #6c757d;
}
.bootstrap-select .dropdown-toggle:focus{
    outline: thin dotted #1BACE3 !important;
}
/******************************/
.toast-header{
    background: #1BACE3;
    color: white;
}
.modal-header{
    border-bottom: 1px dashed #dee2e6;
}
/*******************************/
#add-exp-form, #update-exp-form{
    background-color: white;
    border: 1px solid rgba(0,0,0,.125);
    border-radius: .25rem;
}
/*******************************/
.dnd-wrapper{
    display: flex;
    flex-direction: column;
    /*align-items: center;
    justify-content: space-between;*/
    color: #4c4e53;
    height: 141px;
}
.file-drop-area {
    position: relative;
    width: 100%;
    height: 141px;
    padding: 8.5%;
    background: #EDF0F4;
    border: 1px dashed #4c4e53;
    border-radius: 5px;
    transition: 0.2s;   
}
.file-message{
    text-align: center;
}
.file-input {
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    cursor: pointer;
    opacity: 0;   
}
/*******************************/
.img-wrapper{
    display: flex;
    flex-direction: column;
    color: #4c4e53;
    height: 214px;
}
.img-drop-area{
    position: relative;
    width: 100%;
    height: 137px;
    padding: 8.5%;
    background: #EDF0F4;
    border: 1px dashed #4c4e53;
    border-radius: 5px;
    transition: 0.2s;   
    overflow: hidden;
}
.img-message{
    text-align: center;
}
.img-input{
    position: absolute;
    left: 0;
    top: 0;
    height: 100%;
    width: 100%;
    cursor: pointer;
    opacity: 0;   
}
#exp-pic{
    transform: scale(1.1);
}
.del_pic{
    background: rgba(0,0,0,.5);
    position: absolute;
    bottom: 83%;
    left: 79%;
    color: white;
    border-radius: 100%;
}
.del_pic:hover{
    background: #1BACE3;
    cursor: pointer;
}
#exp-details{
    background: white;
    border: 1px solid rgba(0,0,0,.125);
    border-radius: .25rem;
    display: none;
}
.closeEdit{
    display: none !important;
}
#sidebarMenu{
    background: white !important;
}
.body-404{
    /*background: url(../img/backgound/bg-login.png) no-repeat center center fixed;
    background-size: cover;*/
    background: rgb(103,199,236);
    background: radial-gradient(circle, rgba(103,199,236,1) 10%, rgba(27,171,227,1) 100%);
}
#content-404{
    background: white;
    border: 0;
    border-radius: 8px;
}
#astro-404{
    height: 250px;
}
@media (max-device-width: 375px) {
    #ft-login{
        margin-top: 560px !important;
    }
}
.arrow-back::before{
    font-size: unset;
}
.link-arrow{
    text-decoration: none;
    color: #6c757d;
}
.link-arrow:hover{
    color: #1BACE3;
}
.fw-600{
    font-weight: 600;
}
.txt-info{
    color: #4c4e53;
    font-size: .85em;
    /*font-style: italic;*/
}
.accordion-button:not(.collapsed), .accordion-button{
    background: #1BACE3;
    color: white;
}
.accordion-button:hover{
    background: #1EA559;
    color: white;
}
.accordion-button:after {
    background-image: url("data:image/svg+xml,<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23ffffff'><path fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/></svg>") !important;
}
